package cc.fascinated.backend.leaderboard;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor @Getter
public class Leaderboard {
    /**
     * The name of the leaderboard.
     */
    private final String name;

    /**
     * The version of the leaderboard.
     */
    private int curveVersion;

    /**
     * The curve of the leaderboard.
     */
    private final LeaderboardCurvePoint[] curve;
}
